Bug 492396 - Review Request:php-feedcreator - Create RSS feeds
Review Request:php-feedcreator - Create RSS feeds
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gianluca Sforna
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 492397
  Show dependency treegraph
 
Reported: 2009-03-26 13:55 EDT by Xavier Bachelot
Modified: 2009-05-09 00:14 EDT (History)
4 users (show)

See Also:
Fixed In Version: 1.7.2-3.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-21 21:07:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
giallu: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Xavier Bachelot 2009-03-26 13:55:04 EDT
Spec URL: http://www.bachelot.org/fedora/SPECS/php-feedcreator.spec
SRPM URL: http://www.bachelot.org/fedora/SRPMS/php-feedcreator-1.7.2-2.fc10.src.rpm
Description:
FeedCreator.class.php provides an easy way to create RSS feeds from within PHP
using ease to use classes.
Comment 1 Gianluca Sforna 2009-03-26 16:25:13 EDT
Uhm... this project seems dead (no releases since 2004, forum infested by spam, etc).
Are you sure you want to maintain it in Fedora? Looks like you will become upstream for it, and there are several alternatives out there
Comment 2 Xavier Bachelot 2009-03-26 17:10:59 EDT
I don't particularly care about this project, but it was bundled with websvn which I submitted too, so I packaged it. My understanding of the guidelines is we don't want any private copy of anything bundled into another package.
Comment 3 Gianluca Sforna 2009-03-29 08:51:40 EDT
yes, you are right, despite in my experience php projects do not only embed other projects code, but often they also patches them :(

If you haven't before, please double check if the dependent project has the very same code you're submitting here.
Comment 4 Xavier Bachelot 2009-03-29 10:58:21 EDT
Fortunately, in this case, the embedded code is not patched.
I also checked for php-geshi. I've packaged GeSHI 1.0.8.2, while websvn embed 1.0.8.1. The embedded 1.0.8.1 code is not patched either, so I'm just bumping doing a minor version bump.
Comment 5 Gianluca Sforna 2009-04-06 19:05:21 EDT
ok great. Let's see if we can move this forward. 

As noted on bug 492395, it seems that you can just require php-common because it requires php.

Then, I am not sure if there are guidelines against it, but installing the file in {datadir}/php is probably not a wise idea. What about putting it in a subdirectory (for example feedcreator would do). In that case, please remember to let the package own the directory.
Comment 6 Xavier Bachelot 2009-04-14 13:02:12 EDT
(In reply to comment #5)
> ok great. Let's see if we can move this forward. 
> 
> As noted on bug 492395, it seems that you can just require php-common because
> it requires php.
> 
Or the other way round, just require php. That's what I've done on my local copy.

> Then, I am not sure if there are guidelines against it, but installing the file
> in {datadir}/php is probably not a wise idea. What about putting it in a
> subdirectory (for example feedcreator would do). In that case, please remember
> to let the package own the directory.

Not sure what's best here. As this is only one file, I think it's ok to let it at the root of the php include dir. And anyway, looking at the pear include dir, I see that's what is done : /usr/share/pear/someclass.php, then a /usr/share/pear/someclass subdir with everything else. That's what I've done for php-geshi (https://bugzilla.redhat.com/show_bug.cgi?id=492395).
Comment 7 Xavier Bachelot 2009-04-15 11:31:36 EDT
(In reply to comment #6)
> > Then, I am not sure if there are guidelines against it, but installing the file
> > in {datadir}/php is probably not a wise idea.

According to the guidelines, this is correct :
http://fedoraproject.org/wiki/Packaging/PHP#File_Placement
Comment 8 Gianluca Sforna 2009-04-16 18:25:31 EDT
Ouch, and I did read that page, missing that sentence :(

in the case I think I can review this package
Comment 9 Gianluca Sforna 2009-04-18 19:49:42 EDT
Review:

* Package name is correct
* spec file name correct
* spec file is legible and in english
* License field is correct and acceptable in Fedora
* License text is included in package

* sources match upstream
* macros used consistently

* Builds correctly on F-10
* rpmlint is silent

APPROVED
Comment 10 Xavier Bachelot 2009-04-18 20:36:55 EDT
Thanks for the review Gianluca.

New Package CVS Request
=======================
Package Name: php-feedcreator
Short Description: Create RSS feeds
Owners: xavierb
Branches: F-9 F-10 F-11 EL-5
InitialCC:
Comment 11 Kevin Fenzi 2009-04-18 21:25:19 EDT
cvs done.
Comment 12 Fedora Update System 2009-04-19 05:06:19 EDT
php-feedcreator-1.7.2-3.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/php-feedcreator-1.7.2-3.fc9
Comment 13 Fedora Update System 2009-04-19 05:06:24 EDT
php-feedcreator-1.7.2-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/php-feedcreator-1.7.2-3.fc10
Comment 14 Fedora Update System 2009-04-19 05:06:28 EDT
php-feedcreator-1.7.2-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/php-feedcreator-1.7.2-3.fc11
Comment 15 Gianluca Sforna 2009-04-19 05:09:31 EDT
One last remark. It would be nice to check (I guess repoquery would work for this) if other php projects we are packaging embeds the feedcreator class and file bugs against them.
Comment 16 Xavier Bachelot 2009-04-19 08:46:48 EDT
Good point. It seems phpTodo is bundling this lib, but the phpTodo author added a feature to it and bumped the version to 1.7.3,
I've also found another project on sourceforge (http://feedcreator.sourceforge.net) which ships a patched 1.7.2 version. I'll try to contact both the phpTodo author and the owner of the sourceforge project to see what can be done about this.
Meanwhile, I've filed bug #496463 against phpTodo.
Comment 17 Fedora Update System 2009-04-21 21:07:23 EDT
php-feedcreator-1.7.2-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2009-04-21 21:07:37 EDT
php-feedcreator-1.7.2-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2009-05-09 00:13:58 EDT
php-feedcreator-1.7.2-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.